package com.bocloud.cmp.model;

import java.util.Date;

public class VolumeGroupSnapModel {
    private Long id;
    private String name;
    private String status;
    private String description;
    private Long blockSnapshotNum;
    private Long clonedBlockVolumeGroupNum;
    private String blockVolumeGroupUuid;
    private String blockVolumeGroupName;
    private Date createTime;
    private Date updateTime;
    private String uuid;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getBlockSnapshotNum() {
        return blockSnapshotNum;
    }

    public void setBlockSnapshotNum(Long blockSnapshotNum) {
        this.blockSnapshotNum = blockSnapshotNum;
    }

    public Long getClonedBlockVolumeGroupNum() {
        return clonedBlockVolumeGroupNum;
    }

    public void setClonedBlockVolumeGroupNum(Long clonedBlockVolumeGroupNum) {
        this.clonedBlockVolumeGroupNum = clonedBlockVolumeGroupNum;
    }

    public String getBlockVolumeGroupUuid() {
        return blockVolumeGroupUuid;
    }

    public void setBlockVolumeGroupUuid(String blockVolumeGroupUuid) {
        this.blockVolumeGroupUuid = blockVolumeGroupUuid;
    }

    public String getBlockVolumeGroupName() {
        return blockVolumeGroupName;
    }

    public void setBlockVolumeGroupName(String blockVolumeGroupName) {
        this.blockVolumeGroupName = blockVolumeGroupName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
